## python-freesasa 2.1.0

=== requirements.txt ===
twine
cython
biopython
wheel
nose

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = FreeSASA
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@cd ../; USE_CYTHON=1 python3 setup.py build_ext --inplace; cd docs;
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-freesasa (2.1.0-3build7) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:40:25 +0000

python-freesasa (2.1.0-3build6) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:17:45 +0200

python-freesasa (2.1.0-3build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:53:57 +0000

python-freesasa (2.1.0-3build4) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:39 +0100

python-freesasa (2.1.0-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:31:41 +0000

python-freesasa (2.1.0-3build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:56 +0100

python-freesasa (2.1.0-3build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Mar 2023 05:49:25 +0000

python-freesasa (2.1.0-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * d/rules: Stop using 'python3 setup.py test' to run test suite. Use
    pytest instead.
  * d/control: Add python3-pytest as Build-Depends.

  [ Jeroen Ploemen ]
  * Tests: rewrite autopkgtest, loop over all supported Python versions.
  * Control: remove Testsuite: autopkgtest-pkg-python, package comes
    with a non-trivial autopkgtest.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 04 Dec 2022 17:19:35 +0000

python-freesasa (2.1.0-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Jun 2022 16:22:49 -0400

python-freesasa (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1011507)

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Jun 2022 08:10:25 -0400

=== debian/control ===
Source: python-freesasa
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 freesasa (>= 2.1.0-2),
 libjson-c-dev,
 libxml2-dev,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
Standards-Version: 4.6.1
Homepage: https://freesasa.github.io/python/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-freesasa
Vcs-Git: https://salsa.debian.org/python-team/packages/python-freesasa.git

Package: python-freesasa-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python bindings for FreeSASA (common documentation)
 The module provides Python bindings for the FreeSASA library. FreeSASA
 calculates Solvent Accessible Surface Area (SASA) of biomolecules. By default,
 Lee & Richards' algorithm is used, but Shrake & Rupley's is also available.
 Both can be parameterized to arbitrary precision, and for high resolution
 versions of the algorithms, the calculations give identical results.
 .
 This is the common documentation package.

Package: python3-freesasa
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-freesasa-doc,
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: Python bindings for FreeSASA (Python 3)
 The module provides Python bindings for the FreeSASA library. FreeSASA
 calculates Solvent Accessible Surface Area (SASA) of biomolecules. By default,
 Lee & Richards' algorithm is used, but Shrake & Rupley's is also available.
 Both can be parameterized to arbitrary precision, and for high resolution
 versions of the algorithms, the calculations give identical results.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = freesasa
export USE_CYTHON   = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_BEFORE_TEST = set -e; mkdir --parents {build_dir}/lib/tests; ln -s /usr/share/freesasa/test-data {build_dir}/lib/tests/data; ln -s /usr/share/freesasa {build_dir}/lib/share; cp test.py {build_dir};
export PYBUILD_TEST_ARGS=test.py
export PYBUILD_AFTER_TEST = rm -f {build_dir}/test.py; rm {build_dir}/lib -r

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) --directory docs html

override_dh_installdocs-indep:
	dh_installdocs
	dh_installdocs -p python-freesasa-doc --doc-main-package python3-freesasa docs/build/html

override_dh_clean:
	dh_clean
	rm -rf docs/build freesasa.egg-info lib

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, freesasa (>= 2.1.0-2), python3-all, python3-pytest

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/freesasa-python-$1\.tar\.gz/ \
 https://github.com/freesasa/freesasa-python/tags \
 .*\/v(\d[\d.]*)\.tar\.gz
